<button type="button" class="btn btn-block" *ngIf="(currentCard$|async) as currentCard"
        [disabled]="(isValidCheckout$ | async) === false"
        [ngClass]="{'btn-success': currentCard,'btn-danger': (currentCard.account?.balance + currentCard.account?.overdraft) < (totalCheckoutSum$|async)}"
        style="height: 62px; overflow: hidden" (click)="showCheckoutConfirmationModal(checkoutConfirmationModal)">
  <ng-container i18n="@@cd.checkoutButton.checkout">Checkout</ng-container><br>
  <span *ngIf="currentCard">{{(totalCheckoutSum$ | async)  | currency}}</span>
</button>
<button type="button" class="btn btn-block btn-warning" *ngIf="(currentCard$|async) === null"
        disabled style="height: 62px; overflow: hidden">
  <ng-container i18n="@@cd.checkoutButton.noCard">
    Checkout<br>
    <span>No card on reader!</span>
  </ng-container>
</button>

<ng-template let-modal let-product="cart" #checkoutConfirmationModal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title" i18n="@@cd.checkoutModal.confirmation">Checkout Confirmation
      <small *ngIf="currentCard$ | async as currentCard">
        <br>Current Balance: {{currentCard.account.balance | currency}}
        <br>New Balance: {{currentCard.account.balance - (totalCheckoutSum$|async) | currency }}
      </small>
    </h4>
    <button type="button" class="close" aria-label="Close" i18n-aria-label="@@cd.checkoutModal.ariaClose" (click)="modalInstance.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="card mb-4" data-simplebar>
      <app-cart></app-cart>
    </div>
    <div class="form-group">
      <label for="textareaComment" i18n="@@cd.checkoutModal.commentsLabel">Comments</label>
      <textarea class="form-control" id="textareaComment" rows="4" [(ngModel)]="comments"></textarea>
    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-outline-warning" (click)="modalInstance.dismiss()" i18n="@@cd.checkoutModal.button.dismiss">DISMISS</button>
    <button class="btn btn-outline-success" (click)="modalInstance.close(comments)" i18n="@@cd.checkoutModal.button.checkout">CHECKOUT</button>
  </div>
</ng-template>
